#!/bin/bash
# encoding: utf-8

if zenity --question --text 'Achtung! Beim Wechsel zum Assistenten werden alle Anwendungen beendet. Nicht gespeicherte Daten gehen verloren. Wollen Sie wirklich zum Assistenten wechseln?' ; then
	killall -9 xinit
else
	exit 1
fi
ps waux | while read line ; do
	pid=` echo $line | awk '{print $2}' `
	proc=` echo $line | awk '{print $11}' `
	if [ "$proc" = /usr/bin/Xorg -o "$proc" = /usr/bin/Xvfb ] ; then
		kill $pid
		sleep 1
		kill -9 $pid
	fi
done
